/* ******************************************** */
/** SETTINGS: 
/**     -VARIABLES
/**     -GENERAL CLASSES OF THE PROJECT: 
/**         EXAMPLE: BUTTONS USED IN VARIOUS PLACES
/* ******************************************** */
:root{
    --font: 'Kumbh Sans Matrix', sans-serif;
    /* font sizes */
    --font-size-base: 1.6rem;
    --font-size-subtitle: 3.6rem;
    --font-size-title: 5.6rem;

    /* colors */
    --color-black: #000;
    --color-white: #ffffff;
    --color-light-blue-1: #B7DAF9;
    --color-light-blue-2: #EAF4FF;
    --color-blue: #00509C;
    --color-gray-bt: #B2B2B2;
    --color-gray-banner: #4D4D4D;
    --color-gray-table: #E7E7E7;
    --color-red: #f22c3d;
    --color-green: #00a67d;

    /* sizes */
}

/* BUTTONS */
.bt-blue{
    display: block;
    position: relative;
    background-color: var(--color-blue);
    color: var(--color-white);
    padding: 1rem 2rem;
    border-radius: 1rem;
    font-size: 1.5rem;
}

.bt-blue::before {
    content: "";
    display: block;
    width: 100%;
    height: 48px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.bt-blue:hover{
    background-color: var(--color-gray-bt);
}

.label-es {
    height: 15px;
}

.bt-lenguage {
    background-color: var(--color-white);
    color: var(--color-blue);
    display: flex;
    column-gap: 0.5rem;
    align-items: center;
    font-size: 1.4rem;
    width: 100%;
    border: solid 1px var(--color-white);

}

.bt-lenguage:hover {
    background-color: var(--color-white);
}

.bt-black-nav-destock {
    padding: 0.5rem;
    border-bottom: solid 0.2rem var(--color-blue);
    background-color: var(--color-white);
    color: var(--color-black);
}

.bt-black-nav-destock-not {
    border: none;
    color: var(--color-blue);
}

.bt-black-nav-destock-not:hover {
    border-bottom: solid 0.2rem var(--color-blue);
    color: var(--color-black);
}

.bt-blue-download{
    background-color: var(--color-blue);
    color: var(--color-white);
    /* padding: 0.5rem 0.7rem ; */
    padding: 1.5rem 1.8rem;
    border-radius: 0.5rem;
    font-size: 14px;
    color: var(--color-white);
}

.bt-blue-download svg{
    fill: var(--color-white);
    width: 1.3rem;
}


/* .bt-blue-download::before {
    content: "";
    display: block;
    width: 100%;
    height: 48px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
} */


.bt-active{
    background-color: var(--color-gray-bt);
}



.bt-light-blue{
    background-color: var(--color-light-blue-2);
    color: var(--color-black);
    font-size: 1.3rem;
}

.bt-black{
    text-align: center;
    display: inline-block;
    padding: 1rem;
    width: 100%;
    background-color: var(--color-black);
    color: var(--color-white);
    font-weight: 900;
    font-size: 1.4rem;
}

.bt-border-x{
    border-bottom: var(--color-blue) solid 0.2rem;
    border-top: var(--color-blue) solid 0.2rem;
}

.bt-border-top {
    border-top: var(--color-blue) solid 0.2rem;
}

.bt-all-border-blue{
    border: var(--color-blue) solid 0.2rem;
    border-radius: 1rem;
}

.bt-all-border-none{
    border: var(--color-black) solid 0.2rem;
    border-radius: 1rem;
}

.bt-black-active{
    color: var(--color-blue);
}



.bt-close {
    color: var(--color-white);
    position: absolute;
    right: 0.7rem;
    top: 4.3rem;
    font-size: 2rem;
    background-color: transparent;
    width: 4.8rem;
    height: 4.8rem;
    margin: auto;
}

.bt-close-black{
    color: var(--color-black);
}

/* .bt-eye{
    background-color: var(--color-light-blue-2);
    padding: 1em;
    right: 0;
    color: var(--color-gray-banner);
} */

.bt-text-gray {
    color: var(--color-gray-bt);
    background-color: transparent; 
}

.bt-text-blue {
    padding: 1.3rem;
    background-color: #00509C;
    display: block;
    font-size: 1.5rem;
    color: var(--color-blue);
    background-color: transparent; 
}



/*  OTRHERS */
.link-blue{
    display: block;
    /* display: inline-block; */
    position: relative;
    width: 100%;
    text-align: right;
    font-size: 1.6rem;
    color: var(--color-blue);
    font-weight: 700;

    padding: 1rem 0rem;
}

.link-blue-a{
    /* display: block; */
    padding: 1.4rem 1rem;
    /* color: ; */
    color: var(--color-blue);
}




.link-blue svg{
    fill: var(--color-blue);
    position: absolute;
    display: inline-block;
    font-size: 1.5rem;
    /* margin-top: -10rem; */
    bottom: 1.05rem;
    right: -0.2em;
    width: 1rem;
}

.small-th-text {
    font-size: 1rem;
}

.factsheet {
    width: 100%;
}

.bg-light-blue{
    background-color: var(--color-light-blue-2);
}

.bg_white {
    background-color: var(--color-white);
}

.reset-passw{
    color: var(--color-blue);
    cursor: pointer;
    font-size: 1.4rem;
    font-weight: bold;
    margin-top: 0.2rem;
}



.succes-message{
    color: green;
    font-size: 1.4rem;
    font-weight: bold;
    margin-top: 0.2rem;
}

.success-message-contact {
    display: inline-block;
    color: var(--color-green);
    font-size: 1.6rem;
    width: 100%;
    text-align: center;
    margin-top: 4rem;
}

.message-label {
    width: 100%;
    display: flex;
    justify-content: space-between; 
}

.p-date {
    color: var(--color-gray-banner);
}

.bt-text-blue i{
    padding-left: 0.2rem;
}

.view-passw{
    display: flex;
}

.no-view-passw{
    display: none;
}

.bt-loader {
    width: 15.4rem;
}

.bt-loader-large {
    width: 25rem;
}

.loader {
    width: 1.5rem;
    height: 1.5rem;
    border: 3px solid var(--color-white);
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.show-load{
    display: block;
}

.not-show{
    display: none;
}

.entering {
    display: flex;
    margin: auto;
    column-gap: 1rem;
}

.preventscroll{
    position: fixed;
    overflow-y:scroll;
    height: 100%;
    width: 100%;
}

.justify-content-center {
    justify-content: center;
}



.u-mask {
    border: 0 !important;
    clip: rect(0 0 0 0) !important;
    clip-path: inset(50%) !important;
    height: 1px !important;
    margin: -1px !important;
    overflow: hidden !important;
    padding: 0 !important;
    position: absolute !important;
    white-space: nowrap !important;
    width: 1px !important;
}

.outline-red {
    outline: solid var(--color-red) 0.02rem !important;
}

.outline-red:focus {
    outline: solid var(--color-red) 0.02rem !important;
}




